Bug 239671 - audio/musicpd: Unconditionally enable syslog support
Summary: audio/musicpd: Unconditionally enable syslog support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Thomas Zander
URL:
Keywords: easy, needs-qa
Depends on:
Blocks:
 
Reported: 2019-08-06 09:38 UTC by Bertrand Petit
Modified: 2019-08-08 06:34 UTC (History)
1 user (show)

See Also:
riggs: maintainer-feedback+
riggs: merge-quarterly+


Attachments
Patch enabling syslog support in musicpd (281 bytes, patch)
2019-08-06 09:38 UTC, Bertrand Petit
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bertrand Petit 2019-08-06 09:38:23 UTC
Created attachment 206302 [details]
Patch enabling syslog support in musicpd

musicpd, as is currently built by the port, rejects configurations directing it to log through syslog. A configuration line such as «log_file "syslog"» is rejected because it is regarded as a path specification. The provided patch restores the ability to log through syslog.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-06 09:44:49 UTC
How about a SYSLOG option enabled by default (OPTIONS_DEFAULT), which gets us what we want for packages/ports in the default state, while allowing/allowing user choice?
Comment 2 Bertrand Petit 2019-08-06 10:31:31 UTC
(In reply to Kubilay Kocak from comment #1)
As I understand the evolution of mpd, syslog support became optional and disabled by default when the daemon gained systemd support. Since we are spared from systemd, and since syslog support does not require the presence of a non-base library, I see no gain in making logging optional.
If you really want to make it optional, then the text of the sample configuration file would require a modification to mention this optionality. (I met mpd error messages about the "syslog" configuration with stupor and incomprehension when considering that the sample file explicitly mentions that the "syslog" value is acceptable.)
Comment 3 commit-hook freebsd_committer 2019-08-07 16:20:41 UTC
A commit references this bug:

Author: riggs
Date: Wed Aug  7 16:20:35 UTC 2019
New revision: 508317
URL: https://svnweb.freebsd.org/changeset/ports/508317

Log:
  Enable support for logging through syslog, bump PORTREVISION

  PR:		239671
  Submitted by:	bsdpr@phoe.frmug.org
  MFH:		2019Q3 (hat: ports-secteam)

Changes:
  head/audio/musicpd/Makefile
Comment 4 commit-hook freebsd_committer 2019-08-07 16:23:43 UTC
A commit references this bug:

Author: riggs
Date: Wed Aug  7 16:23:05 UTC 2019
New revision: 508318
URL: https://svnweb.freebsd.org/changeset/ports/508318

Log:
  MFH: r508317

  Enable support for logging through syslog, bump PORTREVISION

  PR:		239671
  Submitted by:	bsdpr@phoe.frmug.org

  Approved by:	ports-secteam (riggs)

Changes:
_U  branches/2019Q3/
  branches/2019Q3/audio/musicpd/Makefile